Cancel creator subscription
Cancel the creator's Substy subscription according to the subscription's current billing and cancellation rules.
/v1/agencies/{agencyId}/creators/{creatorId}/subscription-cancellationCancel the creator's Substy subscription according to the subscription's current billing and cancellation rules.
Authorization
bearerAuth In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/creators/string/subscription-cancellation" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "subscriptionId": "string" }'{ "data": { "message": "string", "subscription": { "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "status": "ACTIVE", "updatedAt": "2019-08-24T14:15:22Z", "startDate": "2019-08-24T14:15:22Z", "endDate": null, "rate": null, "planId": "string", "billingCycle": "DAILY", "walletId": null, "subscriptionPrice": "string", "nextBillingDate": null, "lastBillingDate": null, "consecutiveFailures": 0, "maxAllowedFailures": 0, "suspendedAt": null, "isTrial": true }, "success": true, "effectiveDate": "2019-08-24T14:15:22Z", "immediatelyCanceled": true, "accessUntil": "2019-08-24T14:15:22Z", "pendingBillingsCanceled": 0 }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}List creator subscriptions GET
List a creator's Substy subscriptions, optionally filtering active, overdue or canceled states and recent cancellations. These are agency plan subscriptions, not fan subscriptions.
Retry creator subscription payment POST
Retry collection of a failed payment for the creator's Substy subscription. This can charge the payment method.